## org.eclipse.jst.jsf.common.metadata.traittypes.traittypes
Interface TraitTypesPackage

    public interface TraitTypesPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Provisional API - subject to change

See Also:
  `TraitTypesFactory`

Nested Class Summary
`static interface` `TraitTypesPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static int` `BOOLEAN_VALUE` The meta object id for the '`Boolean Value`' class
`static int` `BOOLEAN_VALUE__TRUE` The feature id for the 'True' attribute
`static int` `BOOLEAN_VALUE_FEATURE_COUNT` The number of structural features of the 'Boolean Value' class
`static java.lang.String` `copyright`
`static TraitTypesPackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `LIST_OF_VALUES` The meta object id for the '`List Of Values`' class
`static int` `LIST_OF_VALUES__ENTRIES` The feature id for the 'Entries' containment reference list
`static int` `LIST_OF_VALUES_FEATURE_COUNT` The number of structural features of the 'List Of Values' class
`static int` `SET_GENERATOR` The meta object id for the '`Set Generator`' class
`static int` `SET_GENERATOR__ALGORITHM` The feature id for the 'Algorithm' attribute
`static int` `SET_GENERATOR__EXPRESSION` The feature id for the 'Expression' attribute
`static int` `SET_GENERATOR_FEATURE_COUNT` The number of structural features of the 'Set Generator' class
`static int` `STRING_VALUE` The meta object id for the '`String Value`' class
`static int` `STRING_VALUE__VALUE` The feature id for the 'Value' attribute
`static int` `STRING_VALUE_FEATURE_COUNT` The number of structural features of the 'String Value' class

Method Summary
`EAttribute` `getBooleanValue_True()` Returns the meta object for the attribute '`True`'
`EClass` `getBooleanValue()` Returns the meta object for class '`Boolean Value`'
`EReference` `getListOfValues_Entries()` Returns the meta object for the containment reference list '`Entries`'
`EClass` `getListOfValues()` Returns the meta object for class '`List Of Values`'
`EAttribute` `getSetGenerator_Algorithm()` Returns the meta object for the attribute '`Algorithm`'
`EAttribute` `getSetGenerator_Expression()` Returns the meta object for the attribute '`Expression`'
`EClass` `getSetGenerator()` Returns the meta object for class '`Set Generator`'
`EAttribute` `getStringValue_Value()` Returns the meta object for the attribute '`Value`'
`EClass` `getStringValue()` Returns the meta object for class '`String Value`'
`TraitTypesFactory` `getTraitTypesFactory()` Returns the factory that creates the instances of the model

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final TraitTypesPackage eINSTANCE

  The singleton instance of the package.

### LIST_OF_VALUES

    static final int LIST_OF_VALUES

  The meta object id for the '`List Of Values`' class.

  See Also:
    `ListOfValuesImpl`, `TraitTypesPackageImpl.getListOfValues()`, Constant Field Values

### LIST_OF_VALUES__ENTRIES

    static final int LIST_OF_VALUES__ENTRIES

  The feature id for the 'Entries' containment reference list.

  See Also:
    Constant Field Values

### LIST_OF_VALUES_FEATURE_COUNT

    static final int LIST_OF_VALUES_FEATURE_COUNT

  The number of structural features of the 'List Of Values' class.

  See Also:
    Constant Field Values

### SET_GENERATOR

    static final int SET_GENERATOR

  The meta object id for the '`Set Generator`' class.

  See Also:
    `SetGeneratorImpl`, `TraitTypesPackageImpl.getSetGenerator()`, Constant Field Values

### SET_GENERATOR__ALGORITHM

    static final int SET_GENERATOR__ALGORITHM

  The feature id for the 'Algorithm' attribute.

  See Also:
    Constant Field Values

### SET_GENERATOR__EXPRESSION

    static final int SET_GENERATOR__EXPRESSION

  The feature id for the 'Expression' attribute.

  See Also:
    Constant Field Values

### SET_GENERATOR_FEATURE_COUNT

    static final int SET_GENERATOR_FEATURE_COUNT

  The number of structural features of the 'Set Generator' class.

  See Also:
    Constant Field Values

### STRING_VALUE

    static final int STRING_VALUE

  The meta object id for the '`String Value`' class.

  See Also:
    `StringValueImpl`, `TraitTypesPackageImpl.getStringValue()`, Constant Field Values

### STRING_VALUE__VALUE

    static final int STRING_VALUE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### STRING_VALUE_FEATURE_COUNT

    static final int STRING_VALUE_FEATURE_COUNT

  The number of structural features of the 'String Value' class.

  See Also:
    Constant Field Values

### BOOLEAN_VALUE

    static final int BOOLEAN_VALUE

  The meta object id for the '`Boolean Value`' class.

  See Also:
    `BooleanValueImpl`, `TraitTypesPackageImpl.getBooleanValue()`, Constant Field Values

### BOOLEAN_VALUE__TRUE

    static final int BOOLEAN_VALUE__TRUE

  The feature id for the 'True' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_VALUE_FEATURE_COUNT

    static final int BOOLEAN_VALUE_FEATURE_COUNT

  The number of structural features of the 'Boolean Value' class.

  See Also:
    Constant Field Values

Method Detail

### getListOfValues

    EClass getListOfValues()

  Returns the meta object for class '`List Of Values`'.

  Returns:
    the meta object for class 'List Of Values'.
  See Also:
    `ListOfValues`

### getListOfValues_Entries

    EReference getListOfValues_Entries()

  Returns the meta object for the containment reference list '`Entries`'.

  Returns:
    the meta object for the containment reference list 'Entries'.
  See Also:
    `ListOfValues.getEntries()`, `getListOfValues()`

### getSetGenerator

    EClass getSetGenerator()

  Returns the meta object for class '`Set Generator`'.

  Returns:
    the meta object for class 'Set Generator'.
  See Also:
    `SetGenerator`

### getSetGenerator_Algorithm

    EAttribute getSetGenerator_Algorithm()

  Returns the meta object for the attribute '`Algorithm`'.

  Returns:
    the meta object for the attribute 'Algorithm'.
  See Also:
    `SetGenerator.getAlgorithm()`, `getSetGenerator()`

### getSetGenerator_Expression

    EAttribute getSetGenerator_Expression()

  Returns the meta object for the attribute '`Expression`'.

  Returns:
    the meta object for the attribute 'Expression'.
  See Also:
    `SetGenerator.getExpression()`, `getSetGenerator()`

### getStringValue

    EClass getStringValue()

  Returns the meta object for class '`String Value`'.

  Returns:
    the meta object for class 'String Value'.
  See Also:
    `StringValue`

### getStringValue_Value

    EAttribute getStringValue_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `StringValue.getValue()`, `getStringValue()`

### getBooleanValue

    EClass getBooleanValue()

  Returns the meta object for class '`Boolean Value`'.

  Returns:
    the meta object for class 'Boolean Value'.
  See Also:
    `BooleanValue`

### getBooleanValue_True

    EAttribute getBooleanValue_True()

  Returns the meta object for the attribute '`True`'.

  Returns:
    the meta object for the attribute 'True'.
  See Also:
    `BooleanValue.isTrue()`, `getBooleanValue()`

### getTraitTypesFactory

    TraitTypesFactory getTraitTypesFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.